﻿@model Avira.MarketingResearch.Model.ViewModels.AviraUserInsertRequest
@{
    ViewData["Title"] = "Add Profile";
    Layout = null;
}


<link href="http://fonts.googleapis.com/css?family=Nunito:400,300,700" rel="stylesheet" id="fontFamilySrc" />
<link href="../assets/plugins/jquery-ui/jquery-ui.min.css" rel="stylesheet" />
<link href="../assets/plugins/bootstrap/bootstrap-4.1.1/css/bootstrap.min.css" rel="stylesheet" />
<link href="../assets/plugins/font-awesome/5.1/css/all.css" rel="stylesheet" />
<link href="../assets/css/animate.min.css" rel="stylesheet" />
<link href="../assets/css/style.min.css" rel="stylesheet" />

<script src="../assets/plugins/jquery/jquery-3.3.1.min.js"></script>
<script src="../assets/plugins/jquery-ui/jquery-ui.min.js"></script>
<script src="../assets/plugins/bootstrap/bootstrap-4.1.1/js/bootstrap.bundle.min.js"></script>

<style>

    .profile-page-login {
        width: 50%;
        display: block;
        top: 50px;
        position: absolute;
        left: 50%;
        transform: translatex(-50%);
        margin-left: 0;
        z-index: 1020;
    }
</style>

<!-- begin #page-container -->
<div id="page-container" class="page-container">
    <!-- begin login -->
    <div class="login profile-page-login">
        <!-- begin login-brand -->
        <div class="login-brand bg-inverse text-white">
            <a href="~/RawMaterial/Index">
                <img src="../assets/img/wrong.png" style="width:20px; height:20px;" height="36"
                     class="pull-right" alt="" />
            </a>
            Add
            New Profile Page
        </div>
        <!-- end login-brand -->
        <!-- begin login-content -->
        <div class="login-content">
            <div class="section-container section-with-top-border form-horizontal">
                @using (Html.BeginForm("Create", "User", FormMethod.Post))
                {
                    @Html.AntiForgeryToken()
                    <div class="form-horizontal">
                        @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                        @Html.HiddenFor(model => model.AviraUserID)
                        @if (ViewBag.Message != null)
                        {
                            <div class="text-center">
                                <label class="alert alert-success" role="alertdialog">
                                    @ViewBag.Message
                                </label>
                            </div>
                        }
                        <div class="form-group">
                            <div class="col-md-12">
                                @Html.LabelFor(model => model.FirstName, htmlAttributes: new { @class = "" })<span class="text-danger">*</span>
                            </div>
                            <div class="col-md-12">

                                @Html.EditorFor(model => model.FirstName, new { htmlAttributes = new { @class = "form-control", maxlength = "64" } })
                                @Html.ValidationMessageFor(model => model.FirstName, "", new { @class = "text-danger" })
                            </div>
                        </div>

                        <div class="form-group">

                            <div class="col-md-12">
                                @Html.LabelFor(model => model.LastName, htmlAttributes: new { @class = "" })<span class="text-danger">*</span>
                            </div>

                            <div class="col-md-12">
                                @Html.EditorFor(model => model.LastName, new { htmlAttributes = new { @class = "form-control", maxlength = "64" } })
                                @Html.ValidationMessageFor(model => model.LastName, "", new { @class = "text-danger" })
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-12">
                                @Html.LabelFor(model => model.EmailAddress, htmlAttributes: new { @class = "" })<span class="text-danger">*</span>
                            </div>
                            <div class="col-md-12">
                                @Html.EditorFor(model => model.EmailAddress, new { htmlAttributes = new { @class = "form-control", maxlength = "128" } })
                                @Html.ValidationMessageFor(model => model.EmailAddress, "", new { @class = "text-danger" })
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-12">
                                @Html.LabelFor(model => model.Username, htmlAttributes: new { @class = "" })<span class="text-danger">*</span>
                            </div>
                            <div class="col-md-12">
                                @Html.EditorFor(model => model.Username, new { htmlAttributes = new { @class = "form-control", maxlength = "50" } })
                                @Html.ValidationMessageFor(model => model.Username, "", new { @class = "text-danger" })
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-12">
                                @Html.LabelFor(model => model.DisplayName, htmlAttributes: new { @class = "" })<span class="text-danger">*</span>
                            </div>
                            <div class="col-md-12">
                                @Html.EditorFor(model => model.DisplayName, new { htmlAttributes = new { @class = "form-control", maxlength = "128" } })
                                @Html.ValidationMessageFor(model => model.DisplayName, "", new { @class = "text-danger" })
                            </div>
                        </div>

                        <div class="form-group">

                            <div class="col-md-12">
                                @Html.LabelFor(model => model.PhoneNumber, htmlAttributes: new { @class = "" })<span class="text-danger">*</span>
                            </div>

                            <div class="col-md-12">
                                @Html.EditorFor(model => model.PhoneNumber, new { htmlAttributes = new { @class = "form-control", maxlength = "12" } })
                                @Html.ValidationMessageFor(model => model.PhoneNumber, "", new { @class = "text-danger" })
                            </div>
                        </div>

                        @*<div class="form-group">
                                @Html.LabelFor(model => model.UserTypeId, htmlAttributes: new { @class = "col-md-12" })
                                <div class="col-md-12">
                                    @Html.EditorFor(model => model.UserTypeId, new { htmlAttributes = new { @class = "form-control" } })
                                    @Html.ValidationMessageFor(model => model.UserTypeId, "", new { @class = "text-danger" })
                                </div>
                            </div>*@

                        <div class="form-group">
                            <div class="col-md-12">
                                @Html.LabelFor(model => model.PassWord, htmlAttributes: new { @class = "" })<span class="text-danger">*</span>
                            </div>
                            <div class="col-md-12">
                                @Html.EditorFor(model => model.PassWord, new { htmlAttributes = new { @class = "form-control", maxlength = "500" } })
                                <small>(Use one Captial letter, one special character, one numeric value and min 8 characters.)</small>
                                @Html.ValidationMessageFor(model => model.PassWord, "", new { @class = "text-danger" })
                            </div>

                        </div>

                        <div class="form-group">
                            <div class="col-md-12">
                                @Html.LabelFor(model => model.ConfirmPassWord, htmlAttributes: new { @class = "" })<span class="text-danger">*</span>
                            </div>
                            <div class="col-md-12">
                                @Html.EditorFor(model => model.ConfirmPassWord, new { htmlAttributes = new { @class = "form-control", maxlength = "500" } })
                                @Html.ValidationMessageFor(model => model.ConfirmPassWord, "", new { @class = "text-danger" })
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-12">
                                @Html.Label("UserRole", "Primary Role", htmlAttributes: new { @class = "" })<span class="text-danger">*</span>
                            </div>
                            <div class="col-md-12">
                                @*@Html.DropDownListFor(Model => Model.UserRoleId, (SelectList)(ViewBag.RoleList), "Please select")*@
                                @Html.DropDownListFor(model => model.UserRoleIDList, (SelectList)(ViewBag.RoleList), "Please select", new { @class = "form-control primaryRole", onchange = "updateSelectList()" })
                                @*<span class="field-validation-error text-danger lblErrPrimaryRole">Please select Primary Role.</span>*@

                                @Html.ValidationMessageFor(model => model.UserRoleIDList, "", new { @class = "text-danger" })

                            </div>
                        </div>


                        @*<div class="form-group">
                                @Html.LabelFor(model => model.UserRoleIDList, "Secondary Role", htmlAttributes: new { @class = "control-label col-md-12 text-left" })
                                <div class="col-md-12">
                                    @Html.DropDownListFor(model => model.UserRoleIDList, new SelectList((System.Collections.IEnumerable)ViewData["RoleList"], "Value", "Text"), "---select---", new { @class = "form-control multiSelectDropDown", multiple = "multiple", @disabled = "disabled" })
                                </div>
                            </div>*@

                        <div class="form-group">
                            <div class="col-md-12">
                                @Html.Label("Location", "Location", htmlAttributes: new { @class = "" })<span class="text-danger">*</span>
                            </div>
                            <div class="col-md-12">
                                @Html.DropDownListFor(model => model.LocationID, (SelectList)(ViewBag.LocationList), "Please select", new { @class = "form-control" })
                                @*<span class="field-validation-error text-danger lblErrLocation">Please select Location.</span>*@
                                @Html.ValidationMessageFor(model => model.LocationID, "", new { @class = "text-danger" })
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="col-md-12">
                                @Html.LabelFor(model => model.DateofJoining, htmlAttributes: new { @class = "" })<span class="text-danger">*</span>
                            </div>
                            <div class="col-md-12">
                                @Html.EditorFor(model => model.DateofJoining, new { htmlAttributes = new { @class = "form-control",style= "background-color:#fff;", @readonly =true } })
                                @Html.ValidationMessageFor(model => model.DateofJoining, "", new { @class = "text-danger" })
                            </div>
                        </div>
                       
                        <div class="form-group">
                            <div class="col-md-12 text-right">
                                <input type="submit" value="Save" class="btn btn-inverse width-100 btnSubmit" />
                                <a href="~/Resources/Index" class="btn btn-inverse width-150">Back to list</a>
                            </div>
                        </div>
                    </div>
                }
            </div>
        </div>
        <!-- end login-content -->
    </div>
    <!-- end login -->
</div>
<!-- end page container -->
<script src="~/lib/jquery-validation/dist/jquery.validate.js"></script>
<script src="~/lib/jquery-validation-unobtrusive/jquery.validate.unobtrusive.js"></script>

<script type="text/javascript">
    $(document).ready(function () {

        $('#DateofJoining').datepicker({
            dateFormat: "mm-dd-yy",
            //minDate: -0,
            maxDate: "+0M +0D"
        });
    });
</script>

<script>
    $(document).ready(function () {



        $(".lblErrLocation").hide();
        $(".lblErrPrimaryRole").hide();
        checkSelectList();
        $(".btnSubmit").click(function () {
            checkSelectList();
        });
    });

    function checkSelectList() {
        var locSelectedText = $("#LocationID option:selected").text();
        if (locSelectedText == "Please select") {
            $(".lblErrLocation").show();
        }
        else {
            $(".lblErrLocation").hide();
        }

        var selectedText = $("#UserRoleIDList  option:selected").text();
        if (selectedText == "Please select") {
            $(".multiSelectDropDown").prop('disabled', 'disabled');
            $(".lblErrPrimaryRole").show();
        }
        else {
            $(".multiSelectDropDown").prop('disabled', false);
            $(".lblErrPrimaryRole").hide();
        }
    }
    function updateSelectList() {
        var selectedText = $("#UserRoleIDList  option:selected").text();
        if (selectedText == "Please select") {
            $(".multiSelectDropDown option:selected").prop("selected", false)
            $(".multiSelectDropDown").prop('disabled', 'disabled');
            $(".lblErrPrimaryRole").show();
        }
        else {
            $(".multiSelectDropDown").prop('disabled', false);
            $(".lblErrPrimaryRole").hide();
            var arr = [];
            var arrLst = [];
            $(".primaryRole option").each(function () {
                var optns = {
                    "value": this.value,
                    "text": this.text
                };
                arrLst.push(optns);
            });
            arr = jQuery.grep(arrLst, function (n, i) {
                return n.text !== selectedText;
            });
            $(".multiSelectDropDown").empty();
            for (var i = 0; i < arr.length; i++) {
                $(".multiSelectDropDown").append("<option value='" + arr[i].value + "'>" + arr[i].text + "</option>");
            }
        }
    }
</script>